Autore Topic: Il nuovissimo Thunderbird 68.0 lascia al palo (tutte) le estensioni più utili  (Letto 461 volte)

0 Utenti e 1 Visitatore stanno visualizzando questo topic.

Offline markinson

  • Post: 23
Salve a tutti!
Stamane ho preso conoscenza dell'uscita della nuovissima versione di Thunderbird, la release 68.0, che succede alla precedente 60.8.0.
Le note della versione 68.0 sono consultabili QUI.

Confidando in progressi e novità allettanti, ho aggiornato manualmente il mio Thunderbird; manualmente poiché "Thunderbird version 68.0 is only offered as direct download from thunderbird.net and not as upgrade from Thunderbird version 60 or earlier. A future version 68.1 will provide updates from earlier versions." (da Thunderbird Release Notes - August 27, 2019).

La sgraditissima, per me, sorpresa è stata quella di toccare con mano una delle più importanti novità, classificata come "changed", ossia "Add-on support: Add-ons are only supported if add-on authors have adapted them".
Praticamente, tranne Lightning Calendar, tutte le estensioni installate sono state bollate come obsolete e quindi soltanto da rimuovere.
Tra queste e per me utilissime:
  • ImportExportTools
  • Manually sort folders
  • ReminderFox
  • Remove Duplicate Messages

Ragli d'asino non arrivano in cielo, quindi non posso pretendere che le mie esigenze e annesse lamentele possano essere raccolte da Mozilla, ma l'aver perso per strada così repentinamente e definitamente tanti add-on utili mi ha davvero disorientato.
Nonostante il mio pessimo inglese, leggevo addirittura QUI che gli sviluppatori di ReminderFox, per me utilissimo quanto semplice e snello componente aggiuntivo, hanno deciso di abbandonarne lo sviluppo, perché impossibilitati a stare dietro alle più recenti e radicali evoluzioni di Mozilla.

Che tristezza ... ho sempre visto l'antico mondo prima Netscape poi Mozilla come un ambiente inclusivo e non selettivo ... forse la mia è una visione antica, distorta e troppo poetica del mondo digitale.

 :(

Offline Underpass

  • I've got fabric to sell
  • Amministratore
  • Post: 22897
    • Mozilla Italia
Ciao, capisco il problema ma in effetti gli autori delle estensioni hanno avuto molto tempo per aggiornarle. Quindi, così come è successo con Firefox, purtroppo dovremo rinunciare a qualche estensione. :(

In alternativa, puoi scegliere di usare una versione precedente e accettare qualche potenziale problema di sicurezza e stabilità.

Offline next

  • Post: 297
In alternativa, puoi scegliere di usare una versione precedente

Io ho utilizzato per quasi 10 anni la versione 2.0  :oops:
All'inizio ero ancora su Win98, poi portata su Xp e cambiata solo un paio di anni fa passano direttamente alla 52  :shock:
Insomma, si può fare!

Offline miki64

  • Moderatore
  • Post: 29339
Capisco benissimo lo sconforto dell'utente.

Io utilizzo la versione 45.1 da quando è uscita e funziona ancora egregiamente.
Comunque l'ultima versione compatibile con le vecchie tipologie di estensioni è la Thunderbird 52.9.1 (e manco a farlo apposta è anche l'ultima versione compatibile con Windows XP).

Per tanti anni ho utilizzato - come ho scritto più volte - la 3.1.18, poi sono passato tutto d'un colpo alla 17.0.11 ESR (quella che ho utilizzato di più, una vera roccia!) e poi alla penultima, la 24.8.1 prima dell'attuale 45.1.

Purtroppo non ho nel mio attuale TB le ultime novità in materia di funzionalità e di traduzioni corrette, ma la coperta è troppo corta...

Due link utili per te, markinson:
https://forum.mozillaitalia.org/index.php?topic=73062.0 (come vedi ti avevo anticipato...)
https://forum.mozillaitalia.org/index.php?topic=47448.msg503495#msg503495 (ci sono i link a ImportExportTools e Manually sort folders prima che scompaiano dai repository...).

Ciao.

--
Adesso è possibile sostenere Thunderbird tramite un bonifico bancario

Offline markinson

  • Post: 23
Ringrazio innanzitutto ciascuno per ogni intervento, chiarimento e suggerimento forniti.  :)

In alternativa, puoi scegliere di usare una versione precedente e accettare qualche potenziale problema di sicurezza e stabilità.
In effetti potrei rimanere quanto più possibile sulla mia attuale versione 60.8.0 e quindi continuare ad utilizzare le estensioni di cui ho fatto cenno, magari pure sperando che qualche sviluppatore - ci credo molto molto poco - decida di aggiornare il proprio componente aggiuntivo. Quello che temo, tuttavia, è che all'arrivo della prossima release, come anticipato nelle note di rilascio della 68.0 ("A future version 68.1 will provide updates from earlier versions.") l'aggiornamento sarà automatico e non differibile.  :(
Pensare adesso, ad esempio, di dover esportare e quindi importare in qualche altro contesto tutti gli appunti e appuntamenti del mio ReminderFox ...   :sbat: ... ma immagino che dovrò proprio farlo e pure con una certa sollecitudine.   :?

Due link utili per te, markinson:
https://forum.mozillaitalia.org/index.php?topic=73062.0 (come vedi ti avevo anticipato...)
https://forum.mozillaitalia.org/index.php?topic=47448.msg503495#msg503495 (ci sono i link a ImportExportTools e Manually sort folders prima che scompaiano dai repository...).

 :cerca: ... scusami! Non ho cercato sufficientemente e a dovere. In effetti mi sembrava alquanto strano che nessuno avesse fatto cenno alla nuova major release, e infatti ... ho toppato io!
GRAZIE per il collegamento alle estensioni  :like: : ho provveduto a salvare quelle che attualmente e maggiormente uso, sorprendendomi pure del fatto che nel tempo, nonostante la mia mania di accumulare e archiviare, non mi fossi mai preoccupato di reperire i singoli file ".xpi", affidandomi soltanto alle semplici installazioni online dei vari componenti aggiuntivi.

Magari spunteranno add-ons nuovi oppure saranno aggiornati i vecchi più gloriosi; comunque resto un pochino scettico e preoccupato.
A presto!

Offline Peppino

  • Post: 931
Anchio come miki64 mi sono fermato alla 59.2.1 ed ho bloccato gli aggiornamenti.
Uso alcune estensioni che non voglio e non posso perdere.
Come cantava la Berti........fin che la barca va !!!!!!  :D

Offline next

  • Post: 297
Quello che temo, tuttavia, è che all'arrivo della prossima release, come anticipato nelle note di rilascio della 68.0 ("A future version 68.1 will provide updates from earlier versions.") l'aggiornamento sarà automatico e non differibile.

Questo non può accadere perché su Thunderbird 60 puoi stabilire tu se aggiornare automaticamente o no (Opzioni > Avanzate > Aggiornamenti)

Offline markinson

  • Post: 23
Quello che temo, tuttavia, è che all'arrivo della prossima release, come anticipato nelle note di rilascio della 68.0 ("A future version 68.1 will provide updates from earlier versions.") l'aggiornamento sarà automatico e non differibile.

Questo non può accadere perché su Thunderbird 60 puoi stabilire tu se aggiornare automaticamente o no (Opzioni > Avanzate > Aggiornamenti)

Ok, grazie dell'indicazione!  :D
In effetti questa opzione mi era sfuggita ...  :oops:

Comunque mi resta il cruccio: restare fermo con la corrente 60.8.0 oppure seguire l'avanzamento di versione?
Intendo dire: quanto può rimanere ancora sicura (e anche stabile) la versione 60.8.0 che digerisce senza problemi i componenti aggiuntivi (storici quanto utilissimi, secondo me) di cui ho fatto cenno?


« Ultima modifica: 29 Agosto 2019 09:55:30 da markinson »

Offline miki64

  • Moderatore
  • Post: 29339
Intendo dire: quanto può rimanere ancora sicura (e anche stabile) la versione 60.8.0 che digerisce senza problemi i componenti aggiuntivi (storici quanto utilissimi, secondo me) di cui ho fatto cenno?

Chi lo sa, la risposta è tra le righe...  :fischio: ...

--
Sostenere Thunderbird è adesso possibile con un bonifico bancario

Offline Alemoz

  • Post: 14
Stesso problema anche per me..
Oggi aggiorno la penultima versione 60.8.0 alla più recente 68.0...ed ecco che mi vedo disattivare tutti i componenti aggiuntivi che avevo installato..
Devo dire che ero riuscito a personilazziare il mio Tb in modo ottimale per le mie esigenze tramite vari addon ufficiali  quali : Account Colour , Identity Chooser, Manually sort folders , Open whit , S3 Translator , Menu Wizard..oltre al tema "Nuvola" che rendeva maggiormente gradevole anche l'aspetto grafico..
Sinceramente ritrovarmi Tb nella nuova versione non è stato molto piacevole...tant'è che non ho esitato un'istante a reinstallare la precedente release...con tutte le impostazioni ed gli addons di cui.. fortunatamente.. avevo fatto un backup.
Come sosteneva un utente più sopra..ho qualche dubbio in merito al fatto che gli sviluppatori mettano mano agli aggiornamenti dei componenti aggiuntivi..ed anche se così fosse..non credo che lo facciano tutti (e neanche ho idea se sia possibile farlo con la versione 68.0)..
Credo dunque che rimarrò con la mia 60.8.0..fintanto che sarà possibile..ed anche a scapito di una minore sicurezza del software...monitorando gli sviluppi della situazione..
Peccato..però...

Offline next

  • Post: 297
Ragazzi occorre fare i conti con la realtà:
- XUL e XPCOM sono tecnologie non più mantenute quindi destinate a diventare progressivamente insicure
- Lo sviluppo di Thunderbird è portato avanti da un piccolo numero di persone e certo non ha le risorse per mantenere aggiornate  XUL e XPCOM

Se ne esce in due modi: o ce ne facciamo una ragione e cerchiamo di capire cosa potrà venire di buono dalle nuove API o mettiamo la mano al portafogli e sosteniamo economicamente un team che garantisca la continuità della vecchia piattaforma. Dato che so per esperienza che la seconda ipotesi non riscuote mai grande successo, è il caso di adeguarsi.

Tra l'altro non c'è nessuna fretta di passare alla versione 68 tanto più che non viene neppure proposta come aggiornamento a chi ha la 60.

E poi col tempo le cose cambiano :) : DownThemAll! 4 – The WebExtension https://www.downthemall.org/downthemall-4/

Offline Alemoz

  • Post: 14
Concordo con te...e credo che, alla lunga, l'adeguamento alle nuove versioni sia inevitabile...
Certo l'deale sarebbe che Tb integrasse di default..con il tempo..quanto offerto da alcuni componenti aggiuntivi...in relazione ad esempio alla personalizzazione della grafica..alla possibilità di avere un traduttore...etc...(cosa che ritengo non sia particolarmente complicata)..ma comprendo perfettamente i problemi legati al supporto economico del team degli sviluppatori..
Oggi è uscita la nuova release 60.9.0...ma , come rilevato anche da te...il software non mi propone l'aggiornamento...
Una semplice domanda...sarebbe possibile avere sullo pc sia la versione "installer"..che quella "portable" di Tb...?
Una buona serata
« Ultima modifica: 06 Settembre 2019 16:26:29 da miki64 »

Offline next

  • Post: 297
Una semplice domanda...sarebbe possibile avere sullo pc sia la versione "installer"..che quella "portable" di Tb...?

Assolutamente si, l'unica limitazione è che non possono essere in funzione contemporaneamente (anche se esistono vari trucchetti per farlo in caso fosse necessario)

Offline miki64

  • Moderatore
  • Post: 29339
Una domanda per chi utilizza le versioni più recenti di Thunderbird su Windows 10.
Ma ho qualche problema io oppure effettivamente le colonne a sinistra dei messaggi totali, letti e non letti e le loro dimensioni non compaiono più?  :?

TROVATO!
"Visualizza / Struttura / Colonna del pannello delle cartelle"!   8)
« Ultima modifica: 06 Settembre 2019 18:26:14 da miki64 »

Offline Alemoz

  • Post: 14
Una semplice domanda...sarebbe possibile avere sullo pc sia la versione "installer"..che quella "portable" di Tb...?

Assolutamente si, l'unica limitazione è che non possono essere in funzione contemporaneamente (anche se esistono vari trucchetti per farlo in caso fosse necessario)

Ok...ti ringrazio.

0 Utenti e 1 Visitatore stanno visualizzando questo topic.